import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:plotter/ui/pages/remote_control.dart';
import 'package:plotter/ui/pages/home.dart';

class ActivityPageItem {
  final Icon icon;
  final Widget page;
  final String code;

  const ActivityPageItem({
    required this.icon,
    required this.page,
    required this.code,
  });
}

class ActivityPage {
  static const indexHome = 0;
  static const pageHome = ActivityPageItem(
    icon: Icon(UniconsLine.home),
    page: PageHome(),
    code: 'page_home',
  );

  static const indexRemoteControl = 1;
  static const pageRemoteControl = ActivityPageItem(
    icon: Icon(UniconsLine.arrow),
    page: PageRemoteControl(),
    code: 'page_remote_control',
  );

  static Map<int, ActivityPageItem> items = {
    indexHome: pageHome,
    indexRemoteControl: pageRemoteControl,
  };

  static bool isIndexAllowed(int pageIndex) {
    return items.keys.contains(pageIndex);
  }

  static ActivityPageItem getPageItem(int pageIndex) {
    return items[pageIndex] ?? pageHome;
  }

  static Widget getPageWidget(int pageIndex) {
    return items[pageIndex]?.page ?? pageHome.page;
  }

  static int itemsCount = ActivityPage.items.length;
}
